PETSc version 3.15.5
Fix/Edit manual page

# PetscFVRefine

Create a "refined" PetscFV object that refines the reference cell into smaller copies. This is typically used to precondition a higher order method with a lower order method on a refined mesh having the same number of dofs (but more sparsity). It is also used to create an interpolation between regularly refined meshes.

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVRefine(PetscFV fv, PetscFV *fvRef)

### Input Parameter

| fv | - The initial PetscFV

### Output Parameter

| fvRef | - The refined PetscFV

### See Also

PetscFVType, PetscFVCreate(), PetscFVSetType()

### Level

advanced

### Location

src/dm/dt/fv/interface/fv.c
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages